tut::callback Struct Reference

Test runner callback interface. More...

`#include <tut.h>`

Inheritance diagram for tut::callback:
[legend]

## Public Member Functions

virtual | ~callback ()
| Virtual destructor is a must for subclassed types. More...
virtual void | run_started ()
| Called when new test run started. More...
virtual void | group_started (const std::string &)
| Called when a group started. More...
virtual void | test_completed (const test_result &)
| Called when a test finished. More...
virtual void | group_completed (const std::string &)
| Called when a group is completed. More...
virtual void | run_completed ()
| Called when all tests in run completed. More...

## Detailed Description

Test runner callback interface.

Can be implemented by caller to update tests results in real-time. User can implement any of callback methods, and leave unused in default implementation.

## Constructor & Destructor Documentation

## ~callback()

virtual tut::callback::~callback | ( |  | ) |

inline virtual

Virtual destructor is a must for subclassed types.

## Member Function Documentation

## group_completed()

virtual void tut::callback::group_completed | ( | const std::string & |  | ) |

inline virtual

Called when a group is completed.

Parameters

  name | Name of the group

Referenced by tut::test_runner::run_test(), and tut::test_runner::run_tests().

## group_started()

virtual void tut::callback::group_started | ( | const std::string & |  | ) |

inline virtual

Called when a group started.

Parameters

  name | Name of the group

Referenced by tut::test_runner::run_test(), and tut::test_runner::run_tests().

## run_completed()

virtual void tut::callback::run_completed | ( |  | ) |

inline virtual

Called when all tests in run completed.

Reimplemented in tut::reporter.

Referenced by tut::test_runner::run_test(), and tut::test_runner::run_tests().

## run_started()

virtual void tut::callback::run_started | ( |  | ) |

inline virtual

Called when new test run started.

Reimplemented in tut::reporter.

Referenced by tut::test_runner::run_test(), and tut::test_runner::run_tests().

## test_completed()

virtual void tut::callback::test_completed | ( | const test_result & |  | ) |

inline virtual

Called when a test finished.

Parameters

  tr | Test results.

Reimplemented in tut::reporter.

Referenced by tut::test_runner::run_test().

The documentation for this struct was generated from the following file:

- tut.h